/**
 * <copyright>
 * </copyright>
 *
 * $Id: RecurringPointInTimeEventValidator.java,v 1.1 2008-04-01 09:35:44 vmahe Exp $
 */
package orgomg.cwm.management.warehouseprocess.events.validation;

import orgomg.cwm.management.warehouseprocess.datatype.DayOfWeek;
import orgomg.cwm.management.warehouseprocess.datatype.RecurringType;

/**
 * A sample validator interface for {@link orgomg.cwm.management.warehouseprocess.events.RecurringPointInTimeEvent}.
 * This doesn't really do anything, and it's not a real EMF artifact.
 * It was generated by the org.eclipse.emf.examples.generator.validator plug-in to illustrate how EMF's code generator can be extended.
 * This can be disabled with -vmargs -Dorg.eclipse.emf.examples.generator.validator=false.
 */
public interface RecurringPointInTimeEventValidator {
	boolean validate();

	boolean validateRecurringType(RecurringType value);
	boolean validateFrequencyFactor(long value);
	boolean validateMonth(long value);
	boolean validateDayOfMonth(long value);
	boolean validateDayOfWeek(DayOfWeek value);
	boolean validateHour(long value);
	boolean validateMinute(long value);
	boolean validateSecond(long value);
}
